D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

ProfiledDocuments Resource

GET /projects/{usecase_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path
Response Body
media type data type description
application/json Iterable (JSON)

Example

Request
GET /srv/projects/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{ }
                
              

POST /projects/{usecase_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path
Request Body
media type data type
application/json map of object (JSON)
Response Body
media type data type description
application/json Project (JSON)

Example

Request
POST /srv/projects/{usecase_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "COCOAPODS",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "EMBARGOED",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "OK",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

GET /projects/{usecase_id}/configuration

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path
Response Body
media type data type description
application/json Configuration (JSON)

Example

Request
GET /srv/projects/{usecase_id}/configuration
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "profile_id" : "...",
  "warningMessages" : [ "...", "..." ],
  "errorMessages" : [ "...", "..." ],
  "status" : "WARNING",
  "last_updated_time" : "...",
  "indexes" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "archives" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "context" : "..."
}
                
              

POST /projects/{usecase_id}/query

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json Iterable (JSON)

Example

Request
POST /srv/projects/{usecase_id}/query
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{ }
                
              

POST /projects/{usecase_id}/search

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json string (JSON)

Example

Request
POST /srv/projects/{usecase_id}/search
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

DELETE /projects/{usecase_id}/{project_id}

Request Parameters
name type description default constraints
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources    
Content-Type header application/json    
project_id path    
usecase_id path    
force query false boolean
Response Body
media type data type description
application/json boolean (JSON)

Example

Request
DELETE /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /projects/{usecase_id}/{project_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path
usecase_id path
Response Body
media type data type description
application/json Project (JSON)

Example

Request
GET /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "STRICT",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "ERROR",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

PUT /projects/{usecase_id}/{project_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path
usecase_id path
Request Body
media type data type
application/json map of object (JSON)
Response Body
media type data type description
application/json Project (JSON)

Example

Request
PUT /srv/projects/{usecase_id}/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "EMBARGOED",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "WARNING",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

POST /projects/{usecase_id}/deleteFiles/{project_id}

Request Parameters
name type description default constraints
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources    
Content-Type header application/json    
project_id path    
usecase_id path    
force query false boolean
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json Project (JSON)

Example

Request
POST /srv/projects/{usecase_id}/deleteFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "COCOAPODS",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "ERROR",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

PUT /projects/{usecase_id}/forceUnlock/{project_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path
usecase_id path
Response Body
media type data type description
application/json Project (JSON)

Example

Request
PUT /srv/projects/{usecase_id}/forceUnlock/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "EMBARGOED",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "ERROR",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

POST /projects/{usecase_id}/registerFiles/{project_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path
usecase_id path
Request Body
media type data type
application/json RegisterFileSetRequest (JSON)
Response Body
media type data type description
application/json Project (JSON)

Example

Request
POST /srv/projects/{usecase_id}/registerFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "fieldDefinitionPath" : "...",
  "clashOption" : "REPLACE_EXISTING",
  "toSetAccess" : {
    "_policy" : "OPEN",
    "_license" : "..."
  },
  "attributes" : {
    "property1" : { },
    "property2" : { }
  },
  "fieldName" : "...",
  "parentPath" : "...",
  "streams" : [ {
    "id" : "...",
    "url" : "...",
    "filename" : "..."
  }, {
    "id" : "...",
    "url" : "...",
    "filename" : "..."
  } ]
}
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "STRICT",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "ERROR",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

PUT /projects/{usecase_id}/setAccess/{project_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path
usecase_id path
Request Body
media type data type
application/json Access (JSON)
Response Body
media type data type description
application/json Project (JSON)

Example

Request
PUT /srv/projects/{usecase_id}/setAccess/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "_policy" : "OPEN",
  "_license" : "..."
}
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "STRICT",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "RESTRICTED",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "WARNING",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

POST /projects/{usecase_id}/step/{project_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path
usecase_id path
Request Body
media type data type
application/json StepExecutionRequest (JSON)
Response Body
media type data type description
application/json Project (JSON)

Example

Request
POST /srv/projects/{usecase_id}/step/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "options" : {
    "property1" : { },
    "property2" : { }
  },
  "stepID" : "..."
}
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "COCOAPODS",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "EMBARGOED",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "WARNING",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

DELETE /projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path
relationship_id path
usecase_id path
target_id query
target_ucd query
Response Body
media type data type description
application/json Project (JSON)

Example

Request
DELETE /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "COCOAPODS",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "ERROR",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}
                
              

GET /projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}

Request Parameters
name type description default constraints
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources    
Content-Type header application/json    
project_id path    
relationship_id path    
usecase_id path    
deep query false boolean
Response Body
media type data type description
application/json string (JSON)

Example

Request
GET /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

PUT /projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path
relationship_id path
usecase_id path
target_id query
target_ucd query
Response Body
media type data type description
application/json Project (JSON)

Example

Request
PUT /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_profileID" : "...",
  "_lock" : {
    "_info" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_operation" : "...",
    "_id" : "..."
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  },
  "_profileVersion" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "STRICT",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_info" : {
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    },
    "_lastEditInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    },
    "_creationInfo" : {
      "_user" : { },
      "_instant" : "...",
      "_context" : { }
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_lastInvokedStep" : "...",
    "_errorMessages" : [ "...", "..." ],
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_notes" : "...",
    "_lastOperationStatus" : "OK",
    "_triggeredEvents" : [ {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING",
      "event" : "..."
    }, {
      "warningMessages" : [ "...", "..." ],
      "errorMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK",
      "event" : "..."
    } ]
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_id" : "..."
}